Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 589603 - Package update checking frequently hangs without recovery
Package update checking frequently hangs without recovery
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 10:29 EDT by Place Holder
Modified: 2011-06-27 12:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:08:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Place Holder 2010-05-06 10:29:17 EDT
Description of problem:
I am finding the last couple of weeks that whenever I use the GUI to check for updated packages, that it frequently hangs and every time it does so it is stuck in a call to poll() from the Curl libraries.  (backtraces attached.)  If I then do a kill -HUP on the process, it will usually recover and or work find the next time.

Version-Release number of selected component (if applicable):
Fedora 13 beta with all recent package updates applied.

How reproducible:
Frequent, but not every time.

Steps to Reproduce:
1. Attempt to check for updated packages.
  
Actual results:
Sometimes the back-end will hang indefinitely.

Expected results:
No hanging up... should not hang, but if the problem is network related, then it should recover more gracefully.  (And keep the user apprised.)

Additional info:

Here's an attempt at breaking and resuming over time that shows it stays stuck in the same place until I kill -HUP it:

$ ps -ef | grep -i yum
root     11348 11347  0 08:55 ?        00:00:01 /usr/bin/python /usr/share/PackageKit/helpers/yum/yumBackend.py refresh-cache yes

$ su -
Password: 

# gdb
GNU gdb (GDB) Fedora (7.1-18.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.

(gdb) attach 11348
Attaching to process 11348
Reading symbols from /usr/bin/python...(no debugging symbols found)...done.
Reading symbols from /usr/lib64/libpython2.6.so.1.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libpython2.6.so.1.0
Reading symbols from /lib64/libpthread.so.0...(no debugging symbols found)...done.
[Thread debugging using libthread_db enabled]
Loaded symbols for /lib64/libpthread.so.0
Reading symbols from /lib64/libdl.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libdl.so.2
Reading symbols from /lib64/libutil.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libutil.so.1
Reading symbols from /lib64/libm.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib64/libm.so.6
Reading symbols from /lib64/libc.so.6...(no debugging symbols found)...done.
Loaded symbols for /lib64/libc.so.6
Reading symbols from /lib64/ld-linux-x86-64.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/ld-linux-x86-64.so.2
Reading symbols from /lib64/libnss_files.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libnss_files.so.2
Reading symbols from /usr/lib64/python2.6/lib-dynload/syslog.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/syslog.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/timemodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/timemodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/selectmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/selectmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/fcntlmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/fcntlmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_struct.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_struct.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/binascii.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/binascii.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/cStringIO.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/cStringIO.so
Reading symbols from /usr/lib64/python2.6/site-packages/rpm/_rpmmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/rpm/_rpmmodule.so
Reading symbols from /usr/lib64/librpm.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/librpm.so.1
Reading symbols from /lib64/libselinux.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libselinux.so.1
Reading symbols from /lib64/libcap.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libcap.so.2
Reading symbols from /lib64/libacl.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libacl.so.1
Reading symbols from /lib64/libdb-4.8.so...(no debugging symbols found)...done.
Loaded symbols for /lib64/libdb-4.8.so
Reading symbols from /usr/lib64/librpmio.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/librpmio.so.1
Reading symbols from /usr/lib64/libnss3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libnss3.so
Reading symbols from /lib64/libbz2.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libbz2.so.1
Reading symbols from /lib64/libz.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libz.so.1
Reading symbols from /usr/lib64/libelf.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libelf.so.1
Reading symbols from /lib64/libpopt.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib64/libpopt.so.0
Reading symbols from /usr/lib64/liblzma.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/liblzma.so.0
Reading symbols from /usr/lib64/liblua-5.1.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/liblua-5.1.so
Reading symbols from /lib64/librt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/librt.so.1
Reading symbols from /lib64/libattr.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libattr.so.1
Reading symbols from /lib64/libgcc_s.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libgcc_s.so.1
Reading symbols from /usr/lib64/libnssutil3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libnssutil3.so
Reading symbols from /lib64/libplc4.so...Reading symbols from /usr/lib/debug/lib64/libplc4.so.debug...done.
done.
Loaded symbols for /lib64/libplc4.so
Reading symbols from /lib64/libplds4.so...Reading symbols from /usr/lib/debug/lib64/libplds4.so.debug...done.
done.
Loaded symbols for /lib64/libplds4.so
Reading symbols from /lib64/libnspr4.so...Reading symbols from /usr/lib/debug/lib64/libnspr4.so.debug...done.
done.
Loaded symbols for /lib64/libnspr4.so
Reading symbols from /usr/lib64/libsoftokn3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libsoftokn3.so
Reading symbols from /usr/lib64/libsqlite3.so.0...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libsqlite3.so.0
Reading symbols from /usr/lib64/libfreebl3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libfreebl3.so
Reading symbols from /usr/lib64/python2.6/site-packages/rpm/_rpmbmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/rpm/_rpmbmodule.so
Reading symbols from /usr/lib64/librpmbuild.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/librpmbuild.so.1
Reading symbols from /usr/lib64/libmagic.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libmagic.so.1
Reading symbols from /usr/lib64/python2.6/lib-dynload/stropmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/stropmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_functoolsmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_functoolsmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_collectionsmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_collectionsmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/operator.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/operator.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_socketmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_socketmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_ssl.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_ssl.so
Reading symbols from /usr/lib64/libssl.so.10...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libssl.so.10
Reading symbols from /usr/lib64/libcrypto.so.10...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libcrypto.so.10
Reading symbols from /lib64/libgssapi_krb5.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libgssapi_krb5.so.2
Reading symbols from /lib64/libkrb5.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib64/libkrb5.so.3
Reading symbols from /lib64/libcom_err.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libcom_err.so.2
Reading symbols from /lib64/libk5crypto.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib64/libk5crypto.so.3
Reading symbols from /lib64/libkrb5support.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib64/libkrb5support.so.0
Reading symbols from /lib64/libkeyutils.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libkeyutils.so.1
Reading symbols from /lib64/libresolv.so.2...(no debugging symbols found)...done.
Loaded symbols for /lib64/libresolv.so.2
Reading symbols from /usr/lib64/python2.6/lib-dynload/cPickle.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/cPickle.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/zlibmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/zlibmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_localemodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_localemodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_hashlib.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_hashlib.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/arraymodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/arraymodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/mathmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/mathmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_randommodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_randommodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_bisectmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_bisectmodule.so
Reading symbols from /usr/lib64/python2.6/site-packages/pycurl.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/pycurl.so
Reading symbols from /usr/lib64/libcurl.so.4...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libcurl.so.4
Reading symbols from /usr/lib64/libcares.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libcares.so.2
Reading symbols from /lib64/libidn.so.11...(no debugging symbols found)...done.
Loaded symbols for /lib64/libidn.so.11
Reading symbols from /usr/lib64/liblber-2.4.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/liblber-2.4.so.2
Reading symbols from /usr/lib64/libldap-2.4.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libldap-2.4.so.2
Reading symbols from /usr/lib64/libssl3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libssl3.so
Reading symbols from /usr/lib64/libsmime3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libsmime3.so
Reading symbols from /usr/lib64/libssh2.so.1...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libssh2.so.1
Reading symbols from /usr/lib64/libsasl2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libsasl2.so.2
Reading symbols from /lib64/libcrypt.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libcrypt.so.1
Reading symbols from /usr/lib64/python2.6/lib-dynload/bz2.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/bz2.so
Reading symbols from /usr/lib64/python2.6/site-packages/gpgme/_gpgme.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/gpgme/_gpgme.so
Reading symbols from /usr/lib64/libgpgme.so.11...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libgpgme.so.11
Reading symbols from /lib64/libgpg-error.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib64/libgpg-error.so.0
Reading symbols from /usr/lib64/python2.6/lib-dynload/grpmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/grpmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_elementtree.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_elementtree.so
Reading symbols from /lib64/libexpat.so.1...(no debugging symbols found)...done.
Loaded symbols for /lib64/libexpat.so.1
Reading symbols from /usr/lib64/python2.6/lib-dynload/pyexpat.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/pyexpat.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/datetime.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/datetime.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_sqlite3.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_sqlite3.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_weakref.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_weakref.so
Reading symbols from /usr/lib64/python2.6/site-packages/_sqlitecache.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/_sqlitecache.so
Reading symbols from /lib64/libglib-2.0.so.0...(no debugging symbols found)...done.
Loaded symbols for /lib64/libglib-2.0.so.0
Reading symbols from /usr/lib64/libxml2.so.2...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libxml2.so.2
Reading symbols from /usr/lib64/python2.6/lib-dynload/termios.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/termios.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/itertoolsmodule.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/itertoolsmodule.so
Reading symbols from /usr/lib64/python2.6/lib-dynload/_heapq.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/lib-dynload/_heapq.so
Reading symbols from /usr/lib64/python2.6/site-packages/_dbus_bindings.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.6/site-packages/_dbus_bindings.so
Reading symbols from /lib64/libdbus-1.so.3...(no debugging symbols found)...done.
Loaded symbols for /lib64/libdbus-1.so.3
Reading symbols from /usr/lib64/libnsspem.so...(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libnsspem.so
0x0000003edc0d7dd8 in poll () from /lib64/libc.so.6
Missing separate debuginfos, use: debuginfo-install python-2.6.4-25.fc13.x86_64

(gdb) bt
#0  0x0000003edc0d7dd8 in poll () from /lib64/libc.so.6
#1  0x0000003eef8377e6 in Curl_socket_ready () from /usr/lib64/libcurl.so.4
#2  0x0000003eef82cae2 in Curl_perform () from /usr/lib64/libcurl.so.4
#3  0x00007f6e615fa73b in ?? ()
   from /usr/lib64/python2.6/site-packages/pycurl.so
#4  0x0000003ede0dd65d in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#5  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#6  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#7  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#8  0x0000003ede0df3dd in PyEval_EvalCodeEx ()
   from /usr/lib64/libpython2.6.so.1.0
#9  0x0000003ede06dfef in ?? () from /usr/lib64/libpython2.6.so.1.0
#10 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
#11 0x0000003ede058d7f in ?? () from /usr/lib64/libpython2.6.so.1.0
#12 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
#13 0x0000003ede0d7a03 in PyEval_CallObjectWithKeywords ()
   from /usr/lib64/libpython2.6.so.1.0
#14 0x0000003ede0584d6 in PyInstance_New () from /usr/lib64/libpython2.6.so.1.0
#15 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
---Type <return> to continue, or q <return> to quit---q
Quit

(gdb) continue
Continuing.

^C
Program received signal SIGINT, Interrupt.
0x0000003edc0d7dd8 in poll () from /lib64/libc.so.6

(gdb) bt
#0  0x0000003edc0d7dd8 in poll () from /lib64/libc.so.6
#1  0x0000003eef8377e6 in Curl_socket_ready () from /usr/lib64/libcurl.so.4
#2  0x0000003eef82cae2 in Curl_perform () from /usr/lib64/libcurl.so.4
#3  0x00007f6e615fa73b in ?? ()
   from /usr/lib64/python2.6/site-packages/pycurl.so
#4  0x0000003ede0dd65d in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#5  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#6  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#7  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#8  0x0000003ede0df3dd in PyEval_EvalCodeEx ()
   from /usr/lib64/libpython2.6.so.1.0
#9  0x0000003ede06dfef in ?? () from /usr/lib64/libpython2.6.so.1.0
#10 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
#11 0x0000003ede058d7f in ?? () from /usr/lib64/libpython2.6.so.1.0
#12 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
#13 0x0000003ede0d7a03 in PyEval_CallObjectWithKeywords ()
   from /usr/lib64/libpython2.6.so.1.0
#14 0x0000003ede0584d6 in PyInstance_New () from /usr/lib64/libpython2.6.so.1.0
#15 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
---Type <return> to continue, or q <return> to quit---q
Quit

(gdb) c
Continuing.
^C
Program received signal SIGINT, Interrupt.
0x0000003edc0d7dd8 in poll () from /lib64/libc.so.6

(gdb) bt
#0  0x0000003edc0d7dd8 in poll () from /lib64/libc.so.6
#1  0x0000003eef8377e6 in Curl_socket_ready () from /usr/lib64/libcurl.so.4
#2  0x0000003eef82cae2 in Curl_perform () from /usr/lib64/libcurl.so.4
#3  0x00007f6e615fa73b in ?? ()
   from /usr/lib64/python2.6/site-packages/pycurl.so
#4  0x0000003ede0dd65d in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#5  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#6  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#7  0x0000003ede0de204 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
#8  0x0000003ede0df3dd in PyEval_EvalCodeEx ()
   from /usr/lib64/libpython2.6.so.1.0
#9  0x0000003ede06dfef in ?? () from /usr/lib64/libpython2.6.so.1.0
#10 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
#11 0x0000003ede058d7f in ?? () from /usr/lib64/libpython2.6.so.1.0
#12 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
#13 0x0000003ede0d7a03 in PyEval_CallObjectWithKeywords ()
   from /usr/lib64/libpython2.6.so.1.0
#14 0x0000003ede0584d6 in PyInstance_New () from /usr/lib64/libpython2.6.so.1.0
#15 0x0000003ede043e93 in PyObject_Call () from /usr/lib64/libpython2.6.so.1.0
---Type <return> to continue, or q <return> to quit---q
Quit
(gdb)
Comment 1 Steven M. Parrish 2010-06-04 21:29:13 EDT
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Richard Hughes 2010-06-18 10:49:23 EDT
Does yum also "hang" if the network is interrupted?
Comment 3 Bug Zapper 2011-06-02 10:24:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 12:08:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.